package ink.wgink.module.file.pojo.vos.fileremote;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: FileRemoteVO
 * @Description: 文件远程
 * @Author: wanggeng
 * @Date: 2022/8/4 21:35
 * @Version: 1.0
 */
@ApiModel
public class FileClientVO {

    @ApiModelProperty(name = "title", value = "标题")
    @CheckEmptyAnnotation(name = "标题")
    private String title;
    @ApiModelProperty(name = "status", value = "状态")
    @CheckEmptyAnnotation(name = "状态")
    private String status;

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getStatus() {
        return status == null ? "" : status.trim();
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
